Subject: Re: bug#28472: 26.0.50; Deadlock in Fkill_emacs on MS-Windows

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Sep 2017 14:15:51 +0300

> From: Richard Copley <[email-masked]>
> Date: Sat, 16 Sep 2017 11:31:21 +0100
> 
> Very occasionally, Emacs hangs on exit. For example, this happens
> sometimes when bootstrapping Emacs (which involves starting emacs.exe
> multiple times).
> 
> Here is a set of backtraces from attaching gdb to one of the stuck
> processes:

Thanks.  I see nothing in this backtrace that could tell what to do to
avoid the hang.  All the threads are stuck in system calls, two of
then in WaitForSingleObject.  So it sounds like some race condition,
but I have no idea what that could be.  FWIW, it never happened to me
during a bootstrap.

It could be bug#14333, which we never solved.  But the backtraces
there were more informative.